clc,clear all, close all

addpath('0_data_Niermann')

filename = '0_data_Niermann/meas.txt';
[fl_exp,hestar_exp] = importfile(filename);

varyi_dilution = load('calculationOfMineForBenchmarking.mat');

hestarv = zeros(1,length(varyi_dilution.mine_n_HeStar_list));
flowv = zeros(1,length(varyi_dilution.mine_n_HeStar_list));
for i=1:1:length(varyi_dilution.mine_n_HeStar_list)
    hestarv(i) = varyi_dilution.mine_n_HeStar_list{1,i};
    flowv(i) = varyi_dilution.mine_reset_gasFlow(i);
end

varyi_dilution = load('calculationOfMineForBenchmarking_pure.mat');

hestarv_pure = zeros(1,length(varyi_dilution.mine_n_HeStar_list));
flowv_pure = zeros(1,length(varyi_dilution.mine_n_HeStar_list));
for i=1:1:length(varyi_dilution.mine_n_HeStar_list)
    hestarv_pure(i) = varyi_dilution.mine_n_HeStar_list{1,i};
    flowv_pure(i) = varyi_dilution.mine_reset_gasFlow(i);
end

figure(1)

m1 = plot(fl_exp,hestar_exp,'s','Color','r','MarkerSize',8)
set(m1, 'markerfacecolor', get(m1, 'color'));
hold on
plot(flowv_pure,hestarv_pure,'k-',...
    flowv,hestarv,'k--','LineWidth',2)
legend('Meas.','Sim.','Sim. ( + 100-10 ppm synthetic air)')
set(gca, 'XScale')
set(gca, 'YScale', 'log')
xlim([0 5000])
ylim([7e15 1e19])
xlabel('He gas flow (sccm)')
ylabel('He(2^3S) density (m^-^3)')
set(gca,'FontSize',15)

set(gcf,'position',[100,100,600,450])

text(0.05,0.95,'(b)','Units','normalized','Color','k','FontSize',15)

% % saveas(figure(1),'/home/he/Pictures/paper/Nie10.eps', 'epsc')
% % saveas(figure(1),'/home/he/Pictures/paper/Nie10.png')
% saveas(figure(1),'/home/he/Pictures/paper/1b_Nie10_nHeStar.jpg');
% saveas(figure(1),'/home/he/Pictures/paper/1b_Nie10_nHeStar.png');
% saveas(figure(1),'/home/he/Pictures/paper/1b_Nie10_nHeStar.eps', 'epsc');
% saveas(figure(1),'/home/he/Pictures/paper/1b_Nie10_nHeStar.pdf');


